/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:14pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Valganna.cs
Lines of code: 79

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class WhiteAsSnowQuest : BaseQuest
	{				
		public override object Title{ get{ return "White As Snow"; } }
		
		public override object Description{ get{ return "I simply MUST have some white chocolate truffles! It has been ages since I've eaten one, I've completely forgotten what they taste like. The only thing I remember is they were a beautiful white color. One might say they were as white as snow!<br><br>Bring me these chocolate truffles and I shall reward you with a pendant. We druids carry them around with us for good luck!"; } }
		
		public override object Refuse{ get{ return "Alright. If you find some white chocolate truffles, do return."; } }
		
		public override object Uncomplete{ get{ return "Check with another druid in the area. Somebody around here must know where to get white chocolate truffles."; } }
		
		public override object Complete{ get{ return "Hmmm they aren't quite as delicious as I remember. In fact, I still think I prefer lemon gumdrops. Oh well, here's the good luck pendant I promised."; } }
	
		public WhiteAsSnowQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( WhiteChocolateTruffle ), "White Chocolate Truffle", 15, 3967, 0, 1150 ) );
			
			AddReward( new BaseReward( typeof( DruidLuckPendant ), "A druid luck pendant" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Valganna : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( WhiteAsSnowQuest )
			};} 
		}
		
		[Constructable]
		public Valganna() : base( "Valganna", "the druid" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Valganna( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 33358;

			Female = true;
			Race=Race.Elf;
			Body = 606;
		}
		
		public override void InitOutfit()
		{
			AddItem( new MaleElvenRobe( 1364 ) );
			AddItem( new Sandals() );
			AddItem( new Obi( 1191 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Hue = 1190;
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}